Subject: Re: Kernel oops with 2.6.26, padlock and ipsec: probably problem with fpu state changes

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 08 Aug 2008 12:01:15 -0700

Suresh Siddha wrote:
> 
> I propose to go with wolf's patch which add's kernel_fpu_begin() and
> kernel_fpu_end() around these instructions. This is the correct fix
> (unless there is something wrong in my above understanding).
> 

It's technically overkill, if (and only if!) these instructions don't 
actually touch the SSE state (most likely they're using the SSE 
pipeline, and need this stuff to deal with power management issues.)

However, overkill is a good way to make sure something is dead. 
Applying the patch will make sure we fix the regression, and we can 
worry about optimizing this further post-2.6.27.

	-hpa